# $Revision: 1.9 $, $Date: 2010/12/02 13:11:40 $
%define pkgname net-ldap
Summary:	LDAP module for Ruby
Summary(pl.UTF-8):	Moduł LDAP dla języka Ruby
Name:		ruby-%{pkgname}
Version:	0.1.1
Release:	2
License:	GPL
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	9df57177e5f51fc5e15956371d57e307
URL:		http://rubyforge.org/projects/net-ldap/
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.9
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LDAP module for Ruby.

%description -l pl.UTF-8
Moduł LDAP dla języka Ruby.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README.txt -o -print | xargs touch --reference %{SOURCE0}

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Array,Bignum,FalseClass,Fixnum,IO,OpenSSL,String,StringIO,TrueClass} \
	ri/Net/{SNMP,SnmpPdu}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%{ruby_rubylibdir}/net-ldap.rb
%{ruby_rubylibdir}/net/*

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Net/BER
%{ruby_ridir}/Net/LDAP
%{ruby_ridir}/Net/LDIF
%{ruby_ridir}/Net/LdapPdu
%{ruby_ridir}/Net/LdapPduError

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-net-ldap.spec,v $
Revision 1.9  2010/12/02 13:11:40  baggins
- rel 2

Revision 1.8  2010/12/02 13:00:25  baggins
- fix doc packaging

Revision 1.7  2010/12/02 12:54:52  baggins
- 0.1.1
- this version supports only ruby 1.9+

Revision 1.6  2010/03/03 13:35:51  baggins
- 0.0.5
- added rdoc and ri packages

Revision 1.5  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.3  2006/12/20 00:49:18  qboosh
- pl

Revision 1.2  2006/12/08 02:16:51  aredridel
- fix overzealous files list

Revision 1.1  2006/12/08 02:13:28  aredridel
- added
